*!*********************************************************************
*!
*!       Function: HLP_INV()
*!
*!      Called by: INVMAINT.PRG                  
*!               : INVTRAN.PRG                   
*!               : INVDAY.PRG                    
*!
*!          Calls: SCRNINIT       (procedure in DISPSEL.PRG)
*!               : BROWINIT       (procedure in DISPSEL.PRG)
*!               : TSBROWSE       (procedure in DISPSEL.PRG)
*!
*!           Uses: INVENTRY.DBF   
*!
*!        Indexes: INVENTRY.NDX
*!
*!*********************************************************************
*Ŀ
* This is the actual UDF itself.                                      
*                                                                     
* Once the WINDOW is activated, the user can use the following keys   
* to navigate himself through the file:                               
*                                                                     
* Uparrow, Downarrow, Pgup, Pgdn, End, Home or they can press 1       
* character that coincides with the first letter on the left hand     
* side of what is being displayed. The PROC will do a LOCATE on this  
* letter to find the first record that matches, and then scroll to it 
* in the file/display. This is very usefull, if the file you are      
* using is not very large, otherwise it could hinder performance.     
*                                                                     
*
FUNCTION Hlp_INV
SET PROCEDURE TO HELPPROC                    && TURN ON THE PROCEDURE FILE
WHATAREA=STR(SELECT())                       && SAVE THE CURRENT SELECT AREA
SELECT 10                                    && SELECT ANOTHER AREA
USE INVENTRY INDEX INVENTRY                  && OPEN THE FILE
IF RECCOUNT() = 0                            && IS THE FILE EMPTY ?
   ?? CHR(7)                                 && YES. RING THE BELL
   *   @ 7,1 SAY SPACE(78)                   && PUT 'EMPTY' MESSAGE INTO WINDOW
   @ 3,1 SAY CENTER("LIST NOT POSSIBLE")
   @ 5,1 SAY CENTER("NO RECORDS TO LIST")
   @ 7,1 SAY CENTER("PRESS ENTER")
ELSE                                         && OTHERWISE
   PUBLIC Xquicks
   STORE .F. TO Maxrow, Minrow, Pdiff, Ndiff, Firstrec, Acbott, Mrec, ROW
   STORE "N/G" TO Msnorm                     && SET THE WINDOW COLORS 
   STORE "N/W" TO Mgnorm                     && AND GET COLORS
   DO Scrninit                               && PREPARE THE HELP WINDOW
   Fname = "C_CODE+' - '+ITEM_NO"            && CREATE THE STRING OF FIELDS
   GO TOP                                    && TO SHOW IN THE WINDOW
   DO Browinit                               && INTIALIZE OTHER STUFF AND
   DO Tsbrowse                               && DO THE DISPLAY/WINDOW
ENDIF
USE                                          && CLOSE THE HELP FILE
SELECT &WHATAREA                             && RESET THE SELECTED AREA
SET PROCEDURE TO                             && TURN OFF THE PROCEDURE FILE
RETURN ''                                    && GO BACK

*: EOF: FUNCTION.PRG


